<!DOCTYPE html>
<?php

/*  FILMOTECH Website - LAST page - The latest movies
	(c) 2013-2021 by Pascal PLUCHON (http://www.filmotech.fr)

	Adapted by Yves Le Houerf (http://www.ifik.fr) - Template Films2
	Code published under the MIT license based on Bootstrap (https://getbootstrap.com)
	Web fonts from Google (https://fonts.google.com) */

// Site parameters
require_once("include/params.inc.php");
require_once("include/config.inc.php");

// Get configuration
$cfg = new CONFIG();

// Connection to database
try {
  if ( $cfg->DB_TYPE == 'sqlite' ) {
	$db = new PDO('sqlite:'.$cfg->DB_NAME.'.sqlite3'); }
  else {
	$db = new PDO('mysql:host='.$cfg->DB_SERVER.';dbname='.$cfg->DB_NAME, $cfg->DB_USER, $cfg->DB_PASSWORD);
	$db->query("SET NAMES UTF8"); }
}

catch (Exception $e) {
  die('Erreur : '.$e->getMessage());
}

// Last update
$lastUpdate = '?';
$filename = 'update.txt';
if (file_exists($filename)) {
	$handle = fopen($filename, "r");
	$lastUpdate = fread($handle, filesize($filename));
	fclose($handle); }

$last_update_label = sprintf($last_update,$lastUpdate);

$offset = 0;

if ( (isset($_POST['search_query'])) && ($_POST['search_query']!="") ) { 	
  $search_query = stripslashes($_POST['search_query']);
  $search_field = $_POST['search_field'];
  $search_label = $field_labels[$search_field];
  $select = sprintf( "SELECT ID, TitreVF, %s , FilmVu, PretEnCours, Reference FROM %s WHERE %s LIKE '%s' ORDER BY TitreVF", $second_column, $cfg->DB_TABLE , $_POST['search_field'] , '%'.addslashes($search_query).'%' ); 
  $select_count = sprintf( "SELECT COUNT(*) FROM %s WHERE %s LIKE '%s' ORDER BY TitreVF", 
  $cfg->DB_TABLE , $_POST['search_field'] , '%'.addslashes($search_query).'%' ); 
  $pagination = false;
  // Count number of rows returned
  $result = $db->query($select_count); 
  $result_fetch = $result->fetch();
  $count = $result_fetch[0];
  $result->closeCursor();
} 
else {
  if (isset($_GET['choice'])) {
  $choice = $_GET['choice'];
  if ($choice == "28") { $offset = 0; }
  if ($choice == "56") { $offset = 28; }
  $select = "SELECT ID, TitreVF, ".$second_column.", FilmVu, PretEnCours, Reference FROM ".$cfg->DB_TABLE." ORDER BY EntreeDate DESC LIMIT ".$choice." OFFSET ".$offset;
  }
}

$response = $db->query($select);

function column_format( $field, $value ) {
	if (($field=='Acteurs')||($field=='Realisateurs'))
		return strlen( $value ) <= 80 ? str_replace("\r",", ",$value) : mb_substr(str_replace("\r",", ",$value), 0 , 120 , "UTF-8" ).'...' ;	
	if ($field=='Duree') return $value.' mn';
	return $value;
}
?>

<html>
  <head>
	<title><?php echo($window_title); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- Bootstrap -->
	<link href="css/bootstrap.css" rel="stylesheet" media="screen">
	<link href="css/filmotech.css" rel="stylesheet" media="screen">
	<link rel="shortcut icon" href="img/Favicon16x16.png" type="image/x-icon" />  </head>

  <body id="top">
	<!-- Nav bar *********************************** -->
	<nav class="navbar navbar-default">
	  <div class="container">
		<div class="navbar-header">
		  <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
			<span class="sr-only">Navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		  </button>
		  <a href="index.php" class="navbar-brand"><?php echo $navbar_title; ?></a>
		</div>
		<!-- Collect the nav links, forms, and other content for toggling -->
		<div id="navbar" class="navbar-collapse collapse">

<?php include("include/menu.php"); ?>

		  <ul class="nav navbar-nav navbar-right">
			<li class="dropdown">
			  <a href="#" class="dropdown-toggle" id="search" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
			  <?php echo($navbar_search_by.' '.$search_label); ?> <span class="caret"></span></a>
			  <ul class="dropdown-menu">
				<?php 
				foreach ($search_fields as $value) {
				  echo( '				<li><a tabindex="0" href="#" name="'.$value.'">'.$field_labels[$value].'</a></li>'."\n");
				}?>
			  </ul>
			</li>
		  </ul>

		  <form class="navbar-form navbar-right" role="search" method="post" action="index.php">
		  <div class="form-group">
			<input class="champ_recherche" type="hidden" name="search_field" value="<?php echo($search_field); ?>">
			<input type="text" class="form-control" placeholder="<?php echo($navbar_search) ?>" name="search_query">
		  </div>
			<button type="submit" class="btn btn-default"><?php echo($navbar_go) ?></button>
		  </form>

		</div>
	  </div> <!-- End of navbar container -->
	</nav>
	  
	<div class="container"> <!-- Main block -->		
	  <div class="row">
		<div class="col-12 col-lg-12 center"> <!-- Center block -->

		  <?php
		  if ($search_query!='') {
			if ($count!=0) {
			  echo('<div class="alert alert-success alert-block">');
			  echo($result_for_search .' <strong>'.$search_label.'</strong> '.$contains.' <strong>'.$search_query.'</strong>' );
			  echo('</div>');
			}else {
			  echo('<div class="alert alert-danger alert-block">');
			  echo($no_result .' <strong>'.$search_label.'</strong> '.$contains.' <strong>'.$search_query.'</strong>' );
			  echo('</div>');		
			}
		  }?>

			<!-- Nav top Previous, Next -->
			<ul class="pager">
			<?php
			if ($choice == "28") {
			  echo '<span class="text-info">'.$this_page_last1.$choice.$this_page_last3.'</span>'."\n"; }
			else {
			  echo '<span class="text-info">'.$this_page_last1.$choice.$this_page_last4.'</span>'."\n"; }
			?>
			</ul>

		  <div class="movieslist center"> <!-- Movie list -->

	  <?php
	  while ($data = $response->fetch()) {
		echo '		<div class="movie">'."\n";
		echo '		  <a href="detail.php?id='.$data['ID'].'">'."\n";
		$filename = sprintf('%s/Filmotech_%05d.jpg' , $cfg->POSTERS_DIRECTORY , $data['ID']);
		echo '		  <img class="box-list" src="'.$filename.'" width="148px" height="210px" alt="'.$data['ID'].'" /></a>'."\n";
		echo '		  <div class="baseline-list">'.$data['Genre'].'<br />'."\n";

		if ( ($data['FilmVu'] == 'NON') && ($data['PretEnCours'] == 'OUI') ) {
		  echo '			<img src="img/rondG-16x27.png" height="10px" alt="'.$movie_not_seen.'" />';
		  echo '<img src="img/rondR-16x27.png" height="10px" alt="'.$movie_not_lent.'" />'; }
		elseif  ($data['FilmVu'] == 'NON') {
		  echo '			<img src="img/rondG-16x27.png" height="10px" alt="'.$movie_not_seen.'" />'; }
		elseif ($data['PretEnCours'] == 'OUI') {
		  echo '			<img src="img/rondR-16x27.png" height="10px" alt="'.$movie_lent.'" />'; }

		// Playlist Icon
		if ($data['Reference'] == '') {
		  echo '				<a href="detail.php?id='.$data['ID'].'"><img src="img/playlist0-16x27.png" height="11px" alt="'.$playlist_zro.'" /></a>'."\n"; }
		if ($data['Reference'] == '1') {
		  echo '				<img src="img/playlist1-16x27.png" height="12px" alt="'.$playlist_one.'" />'."\n"; }
		if ($data['Reference'] == '2') {
		  echo '				<img src="img/playlist2-16x27.png" height="12px" alt="'.$playlist_two.'" />'."\n"; }

		echo '		  </div>'."\n";
		echo '		</div>'."\n";
	  }

	  $response->closeCursor();
	  ?>
		  </div> <!-- End of movieslist -->


			<!-- Nav bottom Previous, Next -->
			<ul class="pager">
			<?php
			if ($choice == "28") {
			  echo '<span class="text-info">'.$this_page_last1.$choice.$this_page_last3.'</span>'."\n"; }
			else {
			  echo '<span class="text-info">'.$this_page_last1.$choice.$this_page_last4.'</span>'."\n"; }
			?>
			</ul>
		
		</div> <!-- End of center block -->
	  </div>
	</div> <!-- End of main block -->

	  <!-- Footer **************************************** -->
	<div class="bg-primary" id="footer">
	  <div class="table-responsive container">
		<table class="table"><tbody>
		  <tr>
			<td class="left"><a href="pictos.php" alt="" title="<?php echo $help_pictos; ?>"><?php echo $help_pictos; ?></a></td>
			<td class="left"><a href="#top"><?php echo $top_page; ?></a></td>
			<td class="right"><a href="http://www.filmotech.fr" alt="" title="<?php echo $powered_by; ?> Filmotech">&copy; 2012-<?php echo date('Y'); ?></a></td>
		  </tr>
		</tbody></table>
	  </div>
	</div>
	<!-- End of Footer -->

	<!-- JavaScript plugins (requires jQuery) -->
	<script src="http://code.jquery.com/jquery.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="js/bootstrap.min.js"></script>
	<!-- Enable responsive features in IE8 with Respond.js (https://github.com/scottjehl/Respond) -->
	<script src="js/respond.min.js"></script>

	<script>
	$(".dropdown-menu li a").click(function(){
	var selText = $(this).text();
	var selName = $(this).attr("name");
	$(this).parents('.navbar').find('.champ_recherche').val(selName);
	$(this).parents('.navbar').find('.dropdown-toggle').html('Recherche par '+selText+' <span class="caret"></span>');
	});
	</script>

  </body>
</html>
